<?
ob_start();
session_start();
if(isset($_SESSION['ses_name']))
{
$user=$_SESSION['ses_name'];
}else{
header("location:index.php");
}


$veh_num='';
$sdate_12 ='';
$page='1';
include("include/config.php");
require_once "include/Database_functions.php";
$sqlObj=new sqlclass();
$msg = '';
$client_namek ='';

if(isset($_REQUEST['del']) && $_REQUEST['del']=='delete')
{
	$id = $_REQUEST['pur_del'];
	$sql=mysql_query("delete from cf_kopra_purchase where kop_pur_id='$id'");
	header("location:kopra_purchase_list.php?msg=You Have Successfully Deleted");
}
?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>OIL FILL</title>
<link href="css/styles.css" rel="stylesheet"  />
<link href="css/menu.css" rel="stylesheet" type="text/css" />
<link type="text/css" href="css_date/ui-lightness/jquery-ui-1.7.2.custom.css" rel="stylesheet" />
<script type='text/javascript' src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>

<script type='text/javascript' src="js/jquery.autocomplete.js"></script>
<link rel="stylesheet" type="text/css" href="js/jquery.autocomplete.css" />

<script type="text/javascript" src="scripts_date/jquery-calendar-1.7.2.js"></script>
<script language="javascript">
function getXMLHTTP()
	 { //fuction to return the xml http object
	var xmlhttp=false;	
		try
		{
		xmlhttp=new XMLHttpRequest();
		}
		catch(e)	
		{		
			try{			
				xmlhttp= new ActiveXObject("Microsoft.XMLHTTP");
				}
			catch(e)
			{
				try
				{
				xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
				}
				catch(e1)
				{
				xmlhttp=false;
				}
			}
		}
	return xmlhttp;
	}
	
$(document).ready(function(){
$('#from_date').datepicker({
showOn: 'both',
buttonImage: 'icons_date/calendar.gif',
buttonImageOnly: true,
changeMonth: true,
changeYear: true,
dateFormat: 'dd-mm-yy'
});
});

$(document).ready(function(){
$('#to_date').datepicker({
showOn: 'both',
buttonImage: 'icons_date/calendar.gif',
buttonImageOnly: true,
changeMonth: true,
changeYear: true,
dateFormat: 'dd-mm-yy'
});
});   


function Searchdate(page,val)
{ 
 	
	 var page=page;	
	 var vendortype='';
	 var fromdate='';
	 var todate='';
	 
	 if(document.pinnakku_frm.vendortype){
	 vendortype= document.pinnakku_frm.vendortype.value;
	 } 
	 
	 if(document.pinnakku_frm.from_date){
	 fromdate= document.pinnakku_frm.from_date.value;
	 }
	 
	 if(document.pinnakku_frm.to_date){
	 todate= document.pinnakku_frm.to_date.value;
	 }
	 
	
	 
	var strURL="ajax/sku_stock_data.php?&page="+page;
	
	if(vendortype!=''){
	strURL+="&vendortype="+vendortype;
	}
	
	if(fromdate!=''){
	strURL+="&fromdate="+fromdate;
	}
	
	if(todate!=''){
	strURL+="&todate="+todate;
	}
	
	//alert(strURL);
	
	var req = getXMLHTTP();
   if (req)
   {
     req.onreadystatechange = function()
     {
		 
			if ((req.readyState == 0)||(req.readyState == 1)||(req.readyState == 2)||(req.readyState == 3))
      		{
			//document.getElementById('order').innerHTML='<div align="center"><img src="'+path+'images/ajax_loader.gif"/></div>';
			//document.getElementById('Cakeorder').innerHTML='<div align="center"><img src="'+path+'images/ajax_loader.gif"/></div>';
			}
		 
		 
      if (req.readyState == 4)
      {
	 // only if "OK"
	 	if (req.status == 200)
	 	{ 
	   document.getElementById('list').innerHTML=req.responseText;
	//	document.getElementById('Cakeorder').innerHTML=req.responseText;
	 	}
	  else 
	 	{
   	   alert("There was a problem while using XMLHTTP:\n" + req.statusText);

	 }
     }
     }
   req.open("GET", strURL, true);
   req.send(null);
   }
 
   
}

function showClientcodedropdown(str){
var xmlhttp;    
if (str=="")
  {
  document.getElementById("txtcodeshow").innerHTML="";
  Searchdate(1,str);
  return;
  }
  
if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
	   document.getElementById("txtcodeshow").innerHTML=xmlhttp.responseText;
    }
  }
xmlhttp.open("GET","clientajax_code_dropdown.php?str="+str,true);
xmlhttp.send();
}
</script>
</head>

<body>

<div class="wrapper">
   <div>
<?php 
	include("header.php");
?>
</div>
 
 <div class="tabbedArea" style="position:relative; margin-top:">

  
  <div class="tabBody">
   <h1>Sku Stock </h1>
   
   <form name="pinnakku_frm" id="pinnakku_frm" method="post"  >
   <div class="searchBox" style="width:93%; margin-right:0px;  padding:0px; ">
   <div style="padding:20px;">
    
    <div class="searchField" style="padding-left:20px;">
     <p class="input1">Brand</p>
     <select name="vendortype" class="input1">
         <option value="">-Select Brand-</option>
		 <?php 
		 $sq_brand=mysql_query("select * from cf_brand"); 
		 while($brand=mysql_fetch_array($sq_brand))
			{
		?>
			<option value="<?=$brand['brand_id']?>" ><?=$brand['brand_name']?></option>
        <?php
			} ?>
     </select>
    </div>
	
	      
    <div class="searchField" style="padding-left:20px;">
     <p class="input1">From Date</p>
     <input type="text" name="from_date" id="from_date" style="width:75px;" maxlength="100" class="input1" />
    </div>
    
    <div class="searchField" style="padding-left:20px;">
     <p class="input1">To Date</p>
     <input type="text" name="to_date" id="to_date" style="width:75px;" maxlength="100" class="input1" />
    </div>
       
    <div class="searchField">
     <input name="button" type="button" class="input1" onClick="Searchdate(1);" value="search" />
    </div>
  
   </div>
   </div>
   </form>
   
   <div class="searchBox" style="width:93%; margin-right:0px;  padding:0px;">
  
   
   <div id="list">
   <table  border="0" cellspacing="0" cellpadding="0" class="tableList"  style="margin-left:20px; ">
  <tr class="heading">
    <td>No</td>    
    <td>Brand</td>	
    <td>Litre</td>
	<td>Date</td>
	<td>Quantity</td>
	<td>Box</td>    
  </tr>
  
  <?php

$master = '';
$notification = '';
$trip = '';
$accounting = '';
$accpay = '';
$report = '';

$i=1;
/*$sq_arr="select sum(pack_qty) as pack_qty,sum(pack_box) as pack_box,brand_name,sku_adddate,liter_qty from cf_package_sub as pack join cf_brand as brand on pack.brnch_id = brand.brand_id join cf_liter as litre on pack.litre_id = litre.liter_id where 1 ";*/

$sq_arr="select sum(packqty) as pack_qty,sum(packbox) as pack_box,brand_name,sku_adddate,liter_qty from cf_sku_stock as sku join cf_brand as brand on sku.brnd_id = brand.brand_id join cf_liter as litre on sku.ltre_id = litre.liter_id where 1 ";





$sq_arr.=" group by sku.brnd_id,sku.ltre_id order by brand.brand_name asc ";
$query=$sq_arr;
//echo $query;
$function="Searchdate";
include("pagingserch.php");
$sq_arr.=" LIMIT $start, $limit";

if(isset($_REQUEST['page'])){
$page=$_REQUEST['page'];
}else{
$page=1;
}

  $totkopra_kg = '';
  $totconv_oil = '';
  $totconv_pinnaku = '';
  $totsack_no = '';
  $totdamaged_qty = '';


$array=mysql_query($sq_arr);
if($array && mysql_num_rows($array)>0){
$pagecnt=$start;
while($res=mysql_fetch_array($array))
{
$pagecnt++;
  ?> 
  <tr>
     <td><?php echo $pagecnt;?></td>
     <td><?php echo $res['brand_name'];?></td>    
     <td><?php echo $res['liter_qty'];?></td> 
	 <td><?php echo date('d-m-Y',strtotime($res['sku_adddate']));?></td> 
	 <td><?php echo $res['pack_qty'];?></td>     
	 <td><?php echo $res['pack_box'];?></td>     
    </tr>
  <?php   
  //$totconv_pinnaku += $res['conv_pinnaku'];  
    }}else{?>
	 <tr>
    <td class="errorMessage"  style="border-right:0px;border-bottom:0px; "><font color="#FF0000">No Records Found</font></td></tr>
	<? }
  ?>
  
  <tr class="heading">
     <td></td>
     <td>Total</td>      
    <?php /*?> <td><?=$totconv_pinnaku?></td> <?php */?>    
    </tr>
</table>

  <div align="right" style="padding-top:10px;"><?=$pagination?></div> 
  </div>
  </div>
 </div>
 <div class="footer"><p>Powered by <a href="http://www.aadhocc.co.uk/" target="_blank">Aadhocc</a></p></div>
 
</div>
<div class="quicLInksCover">
 <?php 
	include("leftlink.php");
?>

</div>
</body>
</html>
